Package Details: foundationdb-server-bin 6.2.20-1

Git Clone URL: https://aur.archlinux.org/foundationdb-server-bin.git (read-only, click to copy)
Package Base: foundationdb-server-bin
Description: FoundationDB server. FoundationDB is a scalable, fault-tolerant, ordered key-value store with full ACID transactions. This package contains the server.
Upstream URL: https://www.foundationdb.org
Licenses: Apache 2.0
Groups: foundationdb
Submitter: plx
Maintainer: pingwin
Last Packager: pingwin
Votes: 0
Popularity: 0.000000
First Submitted: 2018-04-29 19:53
Last Updated: 2020-06-04 14:38

Latest Comments

pingwin commented on 2020-02-15 15:12

@pyr patch applied. thanks!

pyr commented on 2020-02-15 09:23

I suggest using the following patch:

--- PKGBUILD    2020-02-08 21:18:38.000000000 +0100
+++ PKGBUILD.new        2020-02-15 10:21:22.674176212 +0100
@@ -16,5 +16,8 @@

        # Extract package data
        tar xf data.tar.gz -C "${pkgdir}"
-
+       mkdir "${pkgdir}/usr/bin"
+       mv "${pkgdir}/usr/sbin/fdbserver" "${pkgdir}/usr/bin/fdbserver" 
+       rmdir "${pkgdir}/usr/sbin" || true
+       sed -i "s,/usr/sbin,/usr/bin," "${pkgdir}/etc/foundationdb/foundationdb.conf"
 }

cherry314159 commented on 2020-02-14 19:40

I'm also getting an error in installing the server:

:: Proceed with installation? [Y/n] 
(1/1) checking keys in keyring                        [##########################] 100%
(1/1) checking package integrity                    [##########################] 100%
(1/1) loading package files                         [##########################] 100%
(1/1) checking for file conflicts                   [##########################] 100%
error: failed to commit transaction (conflicting files)
foundationdb-server-bin: /usr/sbin exists in filesystem (owned by filesystem)
Errors occurred, no packages were upgraded.

matiwinnetou commented on 2018-04-30 19:07

I am getting error:

Packages (1) foundationdb-server-bin-5.1.7-1

Total Installed Size: 22.49 MiB

:: Proceed with installation? [Y/n] y (1/1) checking keys in keyring <br> [#######################################################################] 100% (1/1) checking package integrity <br> [#######################################################################] 100% (1/1) loading package files [#######################################################################] 100% (1/1) checking for file conflicts <br> [#######################################################################] 100%

error: failed to commit transaction (conflicting files) foundationdb-server-bin: /usr/sbin exists in filesystem

Errors occurred, no packages were upgraded.